// STAR-CCM+ macro: export_five_MI.java
// Written by STAR-CCM+ 14.02.012
package macro;

import java.util.*;

import star.common.*;
import star.base.neo.*;


import java.io.File;
import java.io.FileOutputStream;
import java.io.FileWriter;

public class export_five_MI extends StarMacro {

  public void execute() {
    execute0();
  }

  private void execute0() {

    Simulation simulation_0 = 
      getActiveSimulation();

    MonitorPlot monitorPlot_0 = 
      ((MonitorPlot) simulation_0.getPlotManager().getPlot("Five mixing indices"));

    PlotUpdate plotUpdate_1 = 
      monitorPlot_0.getPlotUpdate();

    HardcopyProperties hardcopyProperties_2 = 
      plotUpdate_1.getHardcopyProperties();

    hardcopyProperties_2.setCurrentResolutionWidth(1329);

    hardcopyProperties_2.setCurrentResolutionWidth(1328);

    hardcopyProperties_2.setCurrentResolutionHeight(716);

    Cartesian2DAxisManager cartesian2DAxisManager_0 = 
      ((Cartesian2DAxisManager) monitorPlot_0.getAxisManager());

    cartesian2DAxisManager_0.setAxesBounds(new Vector(Arrays.asList(new AxisManager.AxisBounds("Bottom Axis", 0.04, false, 1.6000000000000008, false))));

    cartesian2DAxisManager_0.setAxesBounds(new Vector(Arrays.asList(new AxisManager.AxisBounds("Left Axis", 0.8751566691481304, false, 1.0133690634582595, false))));
// xYPlot_3.export(resolvePath(".")+File.separator+"vertical.csv", ",");
    monitorPlot_0.export(resolvePath(".")+File.separator+"five_mixing_indices.csv", ",");
  }
}
