/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package macro;

import java.io.*;
import star.base.report.*;
import star.common.*;
import java.io.BufferedReader;
import java.io.FileReader;
import java.util.*;

import star.common.*;
import star.meshing.*;


/**
 *
 * @author Flavio Cimolin
 */



public class remove_mesh_with_large_number_of_elements extends StarMacro {

   // public static void main(String[] args)throws Exception {


   // @Override
    public void execute()  {

        // try {
		// 	System.setOut(new PrintStream(new FileOutputStream("log.txt")));
		// 	System.out.println("Now the output is redirected!");
        // } catch(Exception e) {}
        Double squared;

        Simulation sim = getActiveSimulation();


        
        
        String outputfile = "too_much_elements.txt";
        String logfile = "log.txt";
        sim.println("Writing report values to file 1 " + resolvePath(outputfile));
        try {
            
            sim.println("Writing report values to file " + resolvePath(outputfile));
            //PrintWriter out = new PrintWriter(new FileWriter(new File(resolvePath(outputfile))));
            for (Report report : sim.getReportManager().getObjects()) {
                if (report.getPresentationName().contains("Element Count Volume")){
                    String reportName = report.getPresentationName();
                    double reportValue = report.getReportMonitorValue();
                    String reportUnits = report.getUnits().getPresentationName();
                
               // out.println(reportName + " = " + reportValue + " " + reportUnits);
               //out.println(reportValue);
               //sim.println(reportValue);
                if (reportValue> 1100000.0) 
                {
                    sim.println("greater");
                    sim.println(reportValue);
                    PrintWriter out = new PrintWriter(new FileWriter(new File(resolvePath(outputfile))));
                    out.close();
                    MeshPipelineController meshPipelineController_0 = 
                        sim.get(MeshPipelineController.class);
                        meshPipelineController_0.clearGeneratedMeshes();
                }
                else
                {
                    sim.println("less");
                    sim.println(reportValue);
                }
            } 
                
            }
            

        } catch (IOException ex) {
            sim.println(ex);
        }

        BufferedReader reader;
		try {
			reader = new BufferedReader(new FileReader("output.txt"));
			String line = reader.readLine();
			while (line != null) {
                System.out.println(line);
                
				// read next line
				line = reader.readLine();
			}
            reader.close();
            sim.println(line);
		} catch (IOException e) {
			e.printStackTrace();
		}
         
        
    }
}

